%global         svn svn32
%global         snapshot 20121220%{svn}

%define rel	8

%define major	0
%define libname	%mklibname amf %{major}
%define devname	%mklibname amf -d

Name:           amftools
Version:        0.0
Release:        %mkrel -c %{svn} %{rel}
Summary:        AMF file library
# License is in files
License:        LGPLv3+
URL:            https://sourceforge.net/projects/%{name}/
# svn export svn://svn.code.sf.net/p/%%{name}/code/trunk %%{name}
# tar -pczf %%{name}-%%{svn}.tar.gz %%{name}
Group:          Development/C++
Source0:        %{name}-%{svn}.tar.gz
Source1:        %{name}-Makefile
BuildRequires:  GL-devel
BuildRequires:  libzip-devel
BuildRequires:  muParser-devel
BuildRequires:  stbi-devel
BuildRequires:  rapidxml-devel

%description
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{libname}
Summary: AMF file library
Group: System/Libraries
Obsoletes: %{name} < 0.0-0.svn32.3

%description -n %{libname}
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{devname}
Summary: AMF tools development files
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 0.0-0.svn32.3

%description -n %{devname}
Development files for AMF tools.

%prep
%setup -qn %{name}
cp %{SOURCE1} Makefile

# Bundling
rm -rf */muparser */stb_image include/rapidxml */zip
sed -i 's|muparser/muParser.h|muParser.h|g' include/Equation.h
sed -i 's|stb_image/stb_image.h|stb_image.h|g' src/SimpleImage.cpp
sed -i 's|rapidxml/||g' include/XmlStream.h src/XmlStream.cpp

%build
%make \
	CFLAGS="%{optflags}" \
	LIBS="%{ldflags} -lGL -lzip -lstbi -lmuparser"

%install
install -Dpm0755 libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so
mkdir -p %{buildroot}%{_includedir}
cp -arp include %{buildroot}%{_includedir}/amf


%files -n %{libname}
%{_libdir}/libamf.so.%{major}
%{_libdir}/libamf.so.%{major}.*

%files -n %{devname}
%{_libdir}/libamf.so
%{_includedir}/amf/


%changelog
* Thu Nov 19 2015 daviddavid <daviddavid> 0.0-0.svn32.8.mga6
+ Revision: 904142
- rebuild for new libzip 1.0.1

* Thu Sep 03 2015 cjw <cjw> 0.0-0.svn32.7.mga6
+ Revision: 872619
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.0-0.svn32.6.mga5
+ Revision: 746162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0-0.svn32.5.mga5
+ Revision: 686495
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0-0.svn32.4.mga5
+ Revision: 677750
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 0.0-0.svn32.3.mga5
+ Revision: 662342
- fix libification
- use our compiler/linker flags

* Thu Jun 26 2014 spuhler <spuhler> 0.0-0.svn32.2.mga5
+ Revision: 639761
- rebuild with updated libs

* Thu Jun 05 2014 spuhler <spuhler> 0.0-0.svn32.1.mga5
+ Revision: 633484
- first release after import from Fedora
- imported package amftools


* Wed Aug 21 2013 Remi Collet <rcollet@redhat.com> - 0.0-4.20121220svn32
- rebuild for new libzip

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-3.20121220svn32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Miro Hrončok <mhroncok@redhat.com> - 0.0-2.20121220svn32
- Soname version 0.0.0 -> 0.0
- Removing include/zip in %%prep, as it works fine
- Added -lmuparser to Makefile

* Fri Feb 01 2013 Miro Hrončok <mhroncok@redhat.com> - 0.0-1.20121220svn32
- Started

